﻿@using PROJETMODELE.Models.BML.TG
@{
    PROJETMODELE.Tools.Services service = new PROJETMODELE.Tools.Services();
    DroitsBM droitUtilisateur = new DroitsBM();
    PROJETMODELE.Tools.Licence Jour = new PROJETMODELE.Tools.Licence();
    List<string> cmd = droitUtilisateur.CommandeExecutableUser(Session["Code_User"].ToString());
    PROJETMODELE.Models.DAL.StoreEntities db = new PROJETMODELE.Models.DAL.StoreEntities();
    string logo = Session["Code_User"].ToString() + ".png";
    string message_licence = Session["jours_restant"].ToString();

}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <title>E-DÉPÔT</title>
    <script src="/Content/alphinoor/js/jquery.js"></script>
    <script src="/Content/alphinoor/js/bootstrap.min.js"></script>
    <script type="text/javascript" src="/Scripts/jquery-migrate-1.0.0.js"></script>
    <script src="/Content/scripts/jquery.toastmessage.js"></script>
    <script src="/Content/jqwidgets/jqxcore.js"></script>
    <script src="/Content/jqwidgets/jqxdata.js"></script>
    <script src="/Content/jqwidgets/jqxdata.export.js"></script>
    <script src="/Content/jqwidgets/jqxbuttons.js"></script>
    <script src="/Content/jqwidgets/jqxscrollbar.js"></script>
    <script src="/Content/jqwidgets/jqxcheckbox.js"></script>
    <script src="/Content/jqwidgets/jqxdropdownlist.js"></script>
    <script src="/Content/jqwidgets/jqxlistbox.js"></script>
    <script src="/Content/jqwidgets/jqxgrid.js"></script>
    <script src="/Content/jqwidgets/jqxgrid.columnsresize.js"></script>
    <script src="/Content/jqwidgets/jqxgrid.filter.js"></script>
    <script src="/Content/jqwidgets/jqxgrid.edit.js"></script>
    <script src="/Content/jqwidgets/jqxgrid.grouping.js"></script>
    <script src="/Content/jqwidgets/jqxgrid.aggregates.js"></script>
    <script src="/Content/jqwidgets/jqxlistmenu.js"></script>
    <script src="/Content/jqwidgets/jqxmenu.js"></script>
    <script src="/Content/jqwidgets/jqxinput.js"></script>
    <script src="/Content/jqwidgets/jqxgrid.sort.js"></script>
    <script src="/Content/jqwidgets/jqxgrid.pager.js"></script>
    <script src="/Content/jqwidgets/jqxgrid.selection.js"></script>
    <script src="/Content/jqwidgets/jqxgrid.export.js"></script>
    <script src="/Content/jqwidgets/jqxexpander.js"></script>
    <script src="/Content/jqwidgets/jqxtabs.js"></script>
    <script src="/Content/jqwidgets/jqxtooltip.js"></script>
    <script src="/Content/jqwidgets/jqxchart.js"></script>
    <script src="/Content/jqwidgets/jqxgauge.js"></script>
    <script src="/Content/jqwidgets/jqxnumberinput.js"></script>
    <script src="/Content/jqwidgets/jqxpanel.js"></script>
    <script src="/Content/jqwidgets/jqxsplitter.js"></script>
    <script src="/Content/jqwidgets/jqxlistbox.js"></script>
    <script src="/Content/jqwidgets/jqxtree.js"></script>
    <script src="/Content/jqwidgets/jqxvalidator.js"></script>
    <script src="/Content/jqwidgets/jqxdropdownbutton.js"></script>
    <script src="/Content/jqwidgets/jqxeditor.js"></script>
    <script src="/Content/jqwidgets/jqxwindow.js"></script>
    <script src="/Content/jqwidgets/jqxcalendar.js"></script>
    <script src="/Content/jqwidgets/jqxnavigationbar.js"></script>
    <script src="/Content/jqwidgets/jqxdatetimeinput.js"></script>
    <script src="/Content/jqwidgets/globalization/globalize.js"></script>
    <link rel="stylesheet" href="/Content/jqwidgets/styles/jqx.base.css">
    <link rel="stylesheet" href="/Content/jqwidgets/styles/jqx.ui-redmond.css">
    <link rel="stylesheet" href="/Content/css/FiltreCSS.css">
    <script src="/Scripts/ComponentIntegrityConstraintJS.js"></script>
    <link rel="stylesheet" href="/Content/jquery.toastmessage.css">
    <link rel="stylesheet" href="/Content/css/layout.css">
    <link href="/Content/distribution/css/dist-font.css" rel="stylesheet">
    <link href="/Content/distribution/css/paye-font.css" rel="stylesheet">
    <link href="/Content/alphinoor/css/minsep-fonts.css" rel="stylesheet">
    <link href="/Content/alphinoor/css/oufarez-fonts.css" rel="stylesheet">
    <link href="/Content/font/css/paye-font.css" rel="stylesheet">
    <link type="image/vnd.microsoft.icon" href="/favicon.png" rel="shortcut icon">
    <link href="/Content/library/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet" media="screen">
    <link href="/Content/library/css/styles.css" rel="stylesheet" media="screen">
    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
    <script src="library/bootstrap/assets/js/html5shiv.js"></script>
    <script src="library/bootstrap/assets/js/respond.min.js"></script>
    <![endif]-->
    <style>
        .header-menu li a.active, .header-menu li a:hover {
            background-color: #2b233b;
            color: #fff;
        }
    </style>
</head>
<body>
    <!-- top header navbar -->
    <nav class="navbar navbar-top-header hidden-xs" role="navigation">
        <div class="navbar-header">
            <img class="logo" src="/Content/sample-images/logo.png" />
        </div>
        <ul class="nav navbar-nav navbar-left header-menu">
            @if (cmd.Contains("Gestion_des_operations"))
            {
                <li><a href="#" class="active" id="operation"><i class="dist-operations"></i>Op&eacute;ration</a></li>
            }
            @if (cmd.Contains("Gestion_des_operations"))
            {
                <li><a href="#" id="regulation"><i class="dist-regul-money"></i>R&eacute;gulation</a></li>
            }
            @if (cmd.Contains("Gestion_des_etat"))
            {
                <li><a href="#" id="etat"><i class="dist-etat-general"></i>Etat</a></li>
            }
            @if (cmd.Contains("Gestion_des_statistique"))
            {
                <li><a href="#" id="statistique"><i class="dist-rapport"></i>Rapport</a></li>
            }
            @if (cmd.Contains("Gestion_des_inventaire_liquide") || cmd.Contains("Gestion_des_inventaire_emballage"))
            {
                <li><a href="#" id="inventaire"><i class="dist-entree-stock"></i>Inventaire</a></li>
            }
            @if (cmd.Contains("Gestion_des_Donnee_de_base"))
            {
                <li><a href="#" id="donnee"><i class="dist-data"></i>Donn&eacute;e</a></li>
            }
            @if (cmd.Contains("Administration"))
            {
                <li><a href="#" id="administration"><i class="dist-admin"></i>Admin</a></li>
            }
        </ul>
        <ul class="user notif list-inline NotifLI">
            <li class="user-name">
                @if (Request.IsAuthenticated)
                {
                    string su = "";
                    var tab = Context.User.Identity.Name.Trim().Split(' ');
                    if (tab.Length >= 3)
                    {
                        su = tab[0] + "   " + tab[2];
                    }
                    else
                    {
                        if (tab.Length == 1)
                        {
                            su = tab[0];
                        }
                        else
                        {
                            su = tab[0] + "  " + tab[1];
                        }
                    }
                    @su
                }
            </li>
            @{  WriteLiteral(HTML_OUF.Notification("Not1", "337ab7", "Nombre de caisse ouverte", "/Base/Caisse_Ouverte", "/Ouverture_Cloture_Caisse/Index", "paye-passage"));}
            <li><a id="loginupdate" href="/Login/Compte"><i class="dist-admin"></i></a><span class="label label-warning"></span></li>
            <li><a id="disconnet" href="/Login/Logout"><i class="dist-logout"></i></a><span class="label label-warning"></span></li>
        </ul>
    </nav>
    <!-- ./ top header navbar -->
    <div id="main_wrapper">
        <div id="main_content">
            <!-- page heading -->
            <div class="page-heading">
                <h1 class="page-title" style="padding-left:20px">
                    @RenderSection("Titre", required: false) Statistiques Générales
                </h1>
                <span style="float:right; color:red; font-size:1em">@message_licence</span>
            </div>
            <!-- ./ page heading -->
            <!-- contents -->
            <div class="row">
                <div class="col-md-12">
                    <div id="drop"></div>
                </div>
                <div class="col-md-12">
                    <div id="page-content-wrapper">
                        <div class="container-fluid">
                            <div class="row">
                                <div class="data">
                                    @RenderBody()
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- ./ contents -->
        </div>
        <!-- sidebar -->
        <div id="sidebar-wrapper">
            <div class="panel-group" id="accordion">
                @Html.Partial("fonctionalite")
            </div>
        </div>
        <!-- ./ sidebar -->
    </div>
    <script>
        $("#sidebar li a").on("click", function (event) {
            $("#sidebar li a").removeClass("active");
            $(this).addClass("active");
        });
        $(".header-menu a").on("click", function (event) {
            var id = this.id;
            $(".header-menu a").removeClass("active");
            $(this).addClass("active");
            hide_menu_accordion(id);
            return false;
        });
        var hide_menu_accordion = function (id) {
            $(".panel-default").hide();
            if (id == "administration") {
                $(".administration").show();
            }
            else if (id == "etat") {
                $(".etat").show();
            }
            else if (id == "statistique") {
                $(".statistique").show();
            }
            else if (id == "donnee") {
                $(".donnee").show();
            } else if (id == "inventaire") {
                $(".inventaire").show();
            }
            else if (id == "regulation") {
                $(".regulation").show();
            }
            else {
                $(".operation").show();
            }
        };
        hide_menu_accordion("operation");
    </script>
    <!-- Menu Toggle Script -->
    <script>
        $("#menu-toggle").click(function (e) {
            e.preventDefault();
            $("#wrapper").toggleClass("toggled");
        });
    </script>
    <script type="text/javascript">
        $(document).ready(function () {
            //empêche la mise en cache des resultats des requettes ajax
            $.ajaxSetup({ cache: false });
            $(".Clickable").on("click", function (event) {
                $("#sidebar-wrapper a").removeClass("active");
                $(this).addClass("active");
                $("#loaderSpace,#loader").show();
                var classs = $(this).attr("class");
                if (classs == "messages" || classs == "events" || classs == "taches" || classs == "messages") {
                    $(".page-title i").attr("class", $(this).find("i").attr("class"));
                } else {
                    $(".page-title i").attr("class", $(this).find("span").attr("class"));
                }
                $('#UrlCourant').attr('value', $(this).attr("data-url")); // sauvegarde le lien de l'url charger
                var URLCHARGER = $('#UrlCourant').attr('value');
                Afficher(URLCHARGER);
                return false;
            });
            $("#sidebar-wrapper .panel-collapse a,.head .menu-horizontal a,.menucontent a,.header-menu a, .not10 a").on("click", function (event) {
                if ($(this).attr("id") == "disconnet") {//pour le lien de déconnexion
                    window.location.href = $(this).attr('href');
                    return false;
                }
                if ($(this).attr("href").length == 0 || $(this).attr("href").length == 1)//vérouillé
                    return false;
                var classs = $(this).attr("class");
                if (classs == "messages" || classs == "events" || classs == "taches" || classs == "messages") {
                    $(".page-title i").attr("class", $(this).find("i").attr("class"));
                } else {
                    $(".page-title i").attr("class", $(this).find("span").attr("class"));
                }
                $("#sidebar-wrapper a").removeClass("active");
                $(this).addClass("active");
                $("#loaderSpace,#loader").show();
                $('#UrlCourant').attr('value', $(this).attr('href')); // sauvegarde le lien de l'url charger
                var URLCHARGER = $(this).attr('href');
                Afficher(URLCHARGER);
                return false;
            });
            $("#menu-toggle").on("click", function (evente) {
                window.setTimeout(RefreshGrille, 400);
            });
            var RefreshGrille = function () {
                if ($("#grades").length > 0) {
                    $('#grades').jqxGrid('autoresizecolumn', 'all');
                    $('#grades').jqxGrid('refresh');
                }
            };
            
            //$("#Not1").on("click", function (event) {
            //    var URLCHARGER = $(this).attr('href');
            //    //Afficher(URLCHARGER);
            //    alert(URLCHARGER);
            //    return false;
            //});

            $("#loginupdate,#filepdfl").on("click", function (event) {
                $("#loaderSpace,#loader").show();
                var url = $(this).attr('id');
                $.ajax({
                    type: 'GET',
                    url: $(this).attr('href'),
                    success: function (response) {
                        $(".toast-item").remove();
                        $("#loaderSpace,#loader").hide();
                        $.each(response, function (i, item) {
                            $("#popupform").html(item);
                        });
                        $('#formulaire').jqxWindow({ height: "auto", width: "auto", isModal: true, minHeight: "20%", showCloseButton: false, theme: "ui-redmond" });
                    },
                    error: function (jqXHR, exception) {
                        $("#loaderSpace,#loader").hide();
                        if (jqXHR.status === 0) {
                            alert('Not connect.\n Verify Network.');
                        } else if (jqXHR.status == 404) {
                            alert('Requested page not found. [404]');
                        } else if (jqXHR.status == 500) {
                            alert('Internal Server Error [500].');
                        } else if (exception === 'parsererror') {
                            alert('Requested JSON parse failed.');
                        } else if (exception === 'timeout') {
                            alert('Time out error.');
                        } else if (exception === 'abort') {
                            alert('Ajax request aborted.');
                        } else {
                            alert('Uncaught Error.\n' + jqXHR.responseText);
                        }
                    }
                });
                return false;
            });
            $("#loaderSpace,#loader").hide();
        });
            
        
        var getLocalization = function () {
            var localizationobj = {};
            localizationobj.pagergotopagestring = "Aller à la page :";
            localizationobj.pagershowrowsstring = "Ligne à afficher :";
            localizationobj.pagerrangestring = " Sur ";
            localizationobj.pagernextbuttonstring = "Suivant";
            localizationobj.pagerpreviousbuttonstring = "Précedent";
            localizationobj.sortascendingstring = "Tri ascendant";
            localizationobj.sortdescendingstring = "Tri descendant";
            localizationobj.sortremovestring = "Supprimer le tri";
            localizationobj.firstDay = 1;
            localizationobj.emptydatastring = "Aucune donnée à afficher";
            localizationobj.percentsymbol = "%";
            localizationobj.currencysymbol = "FCFA";
            localizationobj.currencysymbolposition = "after";
            localizationobj.decimalseparator = ",";
            localizationobj.thousandsseparator = " ";
            var days = {
                // full day names
                names: ["Dimanche", "Lundi", "Mardi", "Mercredi", "Jeudi", "Vendredi", "Samedi"],
                // abbreviated day names
                namesAbbr: ["Dim", "Lun", "Mar", "Mer", "Jeu", "Ven", "Sam"],
                // shortest day names
                namesShort: ["Di", "Lu", "Ma", "Me", "Je", "Ve", "Sa"]
            };
            localizationobj.days = days;
            var months = {
                // full month names (13 months for lunar calendards -- 13th month should be "" if not lunar)
                names: ["Javier", "Février", "Mars", "Avril", "Mai", "Juin", "Juillet", "Août", "Septembre", "Octobre", "Novembre", "Decembre", ""],
                // abbreviated month names
                namesAbbr: ["Jan", "Feb", "Mar", "Apr", "Mai", "Jui", "Juil", "Aoû", "Sep", "Oct", "Nov", "Dec", ""]
            };
            var patterns = {
                d: "dd.MM.yyyy",
                D: "dddd, d. MMMM yyyy",
                t: "HH:mm",
                T: "HH:mm:ss",
                f: "dddd, d. MMMM yyyy HH:mm",
                F: "dddd, d. MMMM yyyy HH:mm:ss",
                M: "dd MMMM",
                Y: "MMMM yyyy"
            }
            localizationobj.patterns = patterns;
            localizationobj.months = months;
            localizationobj.todaystring = "Today";
            localizationobj.clearstring = "Clear";
            localizationobj.filternumericcomparisonoperators = ['egale à', 'different de', 'inférieur à', 'inférieur ou égale à', 'supérieur à', 'supérieur ou égale à', 'null', 'non null'];

            return localizationobj;
        }

        function Afficher(URLCHARGER) {
            $.ajax({
                url: URLCHARGER, // le nom du fichier indiqué dans le formulaire
                type: "GET", // la méthode indiquée dans le formulaire (get ou post)
            })
                .success(function (response) {
                    $.each(response, function (i, item) {
                        if (i == 0) {
                            $(".container-fluid .data").html(item);
                        }
                        else if (i == 1)
                            $('.page-heading h1').html(item);
                        else
                            $(".breadcrumb").html(item);
                    });
                    $("#loaderSpace,#loader").hide();

                })
                .error(function (jqXHR, exception) {
                    $("#loaderSpace,#loader").hide();
                    if (jqXHR.status === 0) {
                        alert('Not connect.\n Verify Network.');
                    } else if (jqXHR.status == 404) {
                        alert('Requested page not found. [404]');
                    } else if (jqXHR.status == 500) {
                        alert('Internal Server Error [500].');
                    } else if (exception === 'parsererror') {
                        alert('Requested JSON parse failed.');
                    } else if (exception === 'timeout') {
                        alert('Time out error.');
                    } else if (exception === 'abort') {
                        alert('Ajax request aborted.');
                    } else {
                        alert('Uncaught Error.\n' + jqXHR.responseText);
                    }
                });
            return false;
        }
        
    </script>
    @RenderSection("scripts", required: false)
    <div id="popupform"></div>
    <div id="loaderSpace"></div>
    <div id="loader"></div>
    <input id="UrlCourant" value="" type="hidden" />
    <style>
        .NotifLI {
    position: absolute;
 right: 1%;
 top: 90%;
}

.NotifLI {
 position: relative;
}
.NotifLI a {
 color: #fff;
 display: inline-block;
 background: #444359;
 border-radius: 3px;
 font-size: 18px;
 padding: 3px 8px;
 transition: all .15s ease-in-out 0s;
}

.NotifLI .label {
 position: absolute;
 top: 5px;
 right: -5px;
}
    </style>
</body>

</html>
